import { type SuggestionProps, type SuggestionKeyDownProps } from '@tiptap/suggestion';
import { type MentionNodeAttrs } from '@tiptap/extension-mention';
declare const _default: {
    items: ({ query }: {
        query: string;
    }) => never[];
    render: () => {
        onStart: (props: SuggestionProps<any, MentionNodeAttrs>) => void;
        onUpdate(props: SuggestionProps): void;
        onKeyDown(props: SuggestionKeyDownProps): any;
        onExit(): void;
    };
};
export default _default;
